Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
Class PropertyNode

Represents a property (member variable, a getter and setter)

author:
  James Strachan

version:
  $Revision: 13228 $

Field Summary
`boolean` | `closureShare`
`FieldNode` | `field`
`Statement` | `getterBlock`
`int` | `modifiers`
`Statement` | `setterBlock`

Constructor Summary
`PropertyNode(String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression, Statement getterBlock, Statement setterBlock)`
`PropertyNode(FieldNode field, int modifiers, Statement getterBlock, Statement setterBlock)`

Method Summary
`FieldNode` | `getField()`
`Statement` | `getGetterBlock()`
`Expression` | `getInitialExpression()`
`int` | `getModifiers()`
`String` | `getName()`
`ClassNode` | `getOriginType()`
`Statement` | `getSetterBlock()`
`ClassNode` | `getType()`
`boolean` | `hasInitialExpression()`
`boolean` | `isClosureSharedVariable()`
`boolean` | `isDynamicTyped()`
`boolean` | `isInStaticContext()`
`boolean` | `isPrivate()`
`boolean` | `isStatic()`
`void` | `setClosureSharedVariable(boolean inClosure)`
`void` | `setField(FieldNode fn)`
`void` | `setType(ClassNode t)`

Constructor Detail

### PropertyNode

    public PropertyNode(String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression, Statement getterBlock, Statement setterBlock)

### PropertyNode

    public PropertyNode(FieldNode field, int modifiers, Statement getterBlock, Statement setterBlock)

Method Detail

### getField

    public FieldNode getField()

### getGetterBlock

    public Statement getGetterBlock()

### getInitialExpression

    public Expression getInitialExpression()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getOriginType

    public ClassNode getOriginType()

### getSetterBlock

    public Statement getSetterBlock()

### getType

    public ClassNode getType()

### hasInitialExpression

    public boolean hasInitialExpression()

### isClosureSharedVariable

    public boolean isClosureSharedVariable()

### isDynamicTyped

    public boolean isDynamicTyped()

### isInStaticContext

    public boolean isInStaticContext()

### isPrivate

    public boolean isPrivate()

### isStatic

    public boolean isStatic()

### setClosureSharedVariable

    public void setClosureSharedVariable(boolean inClosure)

### setField

    public void setField(FieldNode fn)

### setType

    public void setType(ClassNode t)